Get a transaction bundle
curl --request GET \
--url https://incoming.qomon.app/v1/transaction_bundles/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"donations": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"affectation": "<string>",
"amount_initial": 1,
"comment": "<string>",
"contact": {
"id": 1,
"firstname": "<string>",
"group_id": 1,
"membership_code": "<string>",
"membership_number": 1,
"surname": "<string>"
},
"currency": "<string>",
"donation_price_id": 1,
"id": 1
}
],
"id": 1,
"memberships": [
{
"amount": 0,
"contact_id": 1,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"amount_initial": 1,
"comment": "<string>",
"contact": {
"id": 1,
"firstname": "<string>",
"group_id": 1,
"membership_code": "<string>",
"membership_number": 1,
"surname": "<string>"
},
"currency": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"id": 1,
"membership_price_id": 1,
"rolling_year": true,
"start_date": "2023-11-07T05:31:56Z"
}
],
"summary": {},
"transactions": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"code_campaign": "<string>",
"comment": "<string>",
"comment_date": "2023-11-07T05:31:56Z",
"currency": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_token": "<string>",
"external_transaction_id": 1,
"id": 1,
"payment_method": {},
"payment_method_kind": "<string>",
"reimbursed_amount": 1,
"transaction_bundle_id": 1,
"unpaid_amount": 1
}
]
},
"status": "<string>"
}Transaction bundles
Get a transaction bundle
Return a single transaction bundle by ID, including all associated transactions, memberships, and donations.
GET
/
v1
/
transaction_bundles
/
{id}
Get a transaction bundle
curl --request GET \
--url https://incoming.qomon.app/v1/transaction_bundles/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"donations": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"affectation": "<string>",
"amount_initial": 1,
"comment": "<string>",
"contact": {
"id": 1,
"firstname": "<string>",
"group_id": 1,
"membership_code": "<string>",
"membership_number": 1,
"surname": "<string>"
},
"currency": "<string>",
"donation_price_id": 1,
"id": 1
}
],
"id": 1,
"memberships": [
{
"amount": 0,
"contact_id": 1,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"amount_initial": 1,
"comment": "<string>",
"contact": {
"id": 1,
"firstname": "<string>",
"group_id": 1,
"membership_code": "<string>",
"membership_number": 1,
"surname": "<string>"
},
"currency": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"id": 1,
"membership_price_id": 1,
"rolling_year": true,
"start_date": "2023-11-07T05:31:56Z"
}
],
"summary": {},
"transactions": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"code_campaign": "<string>",
"comment": "<string>",
"comment_date": "2023-11-07T05:31:56Z",
"currency": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_token": "<string>",
"external_transaction_id": 1,
"id": 1,
"payment_method": {},
"payment_method_kind": "<string>",
"reimbursed_amount": 1,
"transaction_bundle_id": 1,
"unpaid_amount": 1
}
]
},
"status": "<string>"
}Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Path Parameters
Transaction bundle ID.
Required range:
x >= 0Example:
42
Last modified on June 17, 2026
Was this page helpful?
⌘I

